

/*creating Appendix Table 1*/
use "$reproduce_files\EHCVM Roster.dta", clear
putexcel set "$reproduce_files/Appendix Table 1.xls", sheet(App Table 1) replace


putexcel A1="Province ID" B1="Province Name" C1="2014 Urban Pct" D1="2018 Urban Pct"

tab province, matrow(names)
putexcel A2=matrix(names)

putexcel B2="Bam" B3="Bazega" B4="Bougouriba" B5="Boulgou" B6="Boulkiemde" B7="Comoe" B8="Ganzourgou" B9="Gnagna" B10="Gourma" B11="Houet" B12="Kadiogo" B13="Kenedougou" B14="Kossi" B15="Kouritenga" B16="Mouhoun" B17="Nahouri" B18="Namentenga" B19="Oubritenga" B20="Oudalan" B21="Passore" B22="Poni" B23="Sanguie" B24="Sanmatenga" B25="Seno" B26="Sissili" B27="Soum" B28="Sourou" B29="Tapoa" B30="Yatenga" B31="Zoundweogo" B32="Bale" B33="Banwa" B34="Loba" B35="Komandjoari" B36="Kompienga" B37="Koulpelogo" B38="Kourweogo" B39="Leraba" B40="Loroum" B41="Nayala" B42="Noumbiel" B43="Tuy" B44="Yagha" B45="Ziro" B46="Zondoma" B48="National Average"


replace urban=0 if urban==2 /*rural coded as 2, changing it to 0*/

matrix pct2018=J(45,1,.)
forvalues i=1/45 {
		sum urban if province==`i' [aw=hhweight]
		matrix pct2018[`i',1]=r(mean)
}

putexcel D2=matrix(pct2018)

sum urban [aw=hhweight]
matrix all=r(mean)
putexcel D48=matrix(all)

clear

use "$reproduce_files\LSMS household roster.dta"

gen urban=milieu
replace urban=0 if urban==2 /*rural coded as 2, changing it to 0*/

matrix pct2014=J(45,1,.)
forvalues i=1/45 {
		sum urban if province==`i' [aw=hhweight]
		matrix pct2014[`i',1]=r(mean)
}

putexcel C2=matrix(pct2014)

sum urban [aw=hhweight]
matrix all=r(mean)
putexcel C48=matrix(all)




/*creating Figure 1 numbers*/
use "$reproduce_files\EHCVM Roster.dta", clear

gen workingage=0
replace workingage=1 if age>=15 & age<=64
drop if age<15


/*generating monthly salary*/
gen monthly_income=salary if frequency!=.
label variable monthly_income "monthly salary from primary job"
replace monthly_income=monthly_income/7*30 if frequency==1
replace monthly_income=monthly_income/3 if frequency==3
replace monthly_income=monthly_income/12 if frequency==4

/*adding bonuses*/
replace monthly_income=(bonuses/7*20) + monthly_income if bonus_frequency==1
replace monthly_income=bonuses + monthly_income if bonus_frequency==2
replace monthly_income=bonuses/3 + monthly_income if bonus_frequency==3
replace monthly_income=bonuses/12 + monthly_income if bonus_frequency==4

/*adding allowances*/
replace monthly_income=(total_allowances/7*20) + monthly_income if allowances_frequency==1
replace monthly_income=total_allowances + monthly_income if allowances_frequency==2
replace monthly_income=total_allowances/3 + monthly_income if allowances_frequency==3
replace monthly_income=total_allowances/12 + monthly_income if allowances_frequency==4


/*adding food allowances*/
replace monthly_income=(total_food_allowances/7*20) + monthly_income if food_allowance_frequency==1
replace monthly_income=total_food_allowances + monthly_income if food_allowance_frequency==2
replace monthly_income=total_food_allowances/3 + monthly_income if food_allowance_frequency==3
replace monthly_income=total_food_allowances/12 + monthly_income if food_allowance_frequency==4



/*secondary income also included*/
gen total_income=secondaryjob_salary
replace total_income=total_income*4 if secondaryjob_frequency==1
replace total_income=total_income/3 if secondaryjob_frequency==3
replace total_income=total_income/12 if secondaryjob_frequency==4

/*adding benefits*/
replace total_income=total_income + secondaryjob_benefits/7*20 if secondaryjob_benefits_frequency==1
replace total_income=total_income + secondaryjob_benefits if secondaryjob_benefits_frequency==2
replace total_income=total_income + secondaryjob_benefits/12 if secondaryjob_benefits_frequency==4

/*adding bonus*/
replace total_income=total_income + secondaryjob_bonus/7*20 if secondaryjob_bonus_frequency==1
replace total_income=total_income + secondaryjob_bonus if secondaryjob_bonus_frequency==2
replace total_income=total_income + secondaryjob_bonus/12 if secondaryjob_bonus_frequency==4

/*adding food*/
replace total_income=total_income + secondaryjob_food/7*20 if secondaryjob_food_frequency==1
replace total_income=total_income + secondaryjob_food if secondaryjob_food_frequency==2
replace total_income=total_income + secondaryjob_food/3 if secondaryjob_food_frequency==3
replace total_income=total_income + secondaryjob_food/12 if secondaryjob_food_frequency==4

replace total_income=total_income + monthly_income if total_income!=. & monthly_income!=.
replace total_income=monthly_income if total_income==. & monthly_income!=.



gen asinhtot_inc = asinh(total_income)
replace asinhtot_inc=0 if  total_income<0
replace asinhtot_inc=0 if total_income==.
replace asinhtot_inc=. if professional_category==. /*not known*/
replace asinhtot_inc=. if professional_category==9 /*owner of business*/
replace asinhtot_inc=. if professional_category==10 /*not known*/


replace total_income=0 if total_income==.
replace total_income=. if professional_category==. /*not known*/
replace total_income=. if professional_category==9 /*owner of business*/
replace total_income=. if professional_category==10 /*not known*/



gen asinhy = asinh(monthly_income)
replace asinhy=0 if  monthly_income<0
replace asinhy=0 if monthly_income==.
replace asinhy=. if professional_category==. /*not known*/

replace monthly_income=0 if monthly_income==.
replace monthly_income=. if professional_category==. /*not known*/
replace monthly_income=. if professional_category==9 /*owner of business*/
replace monthly_income=. if professional_category==10 /*not known*/


gen paid_worker=.
replace paid_worker=1 if total_income!=. & total_income>0

gen unpaid_lfp=.
replace unpaid_lfp=1 if total_income==0

keep interview__id member_id age paid_worker unpaid_lfp female hhweight

gen one=1

save "$reproduce_files\EHCVM temp paid work.dta", replace

clear 
use "$reproduce_files\EHCVM Enterprises.dta"
rename managing1 member_id

/*removing multiple entries*/
sort interview__id member_id
quietly by interview__id member_id: gen dup = cond(_N==1,0,_n)
drop if dup>1
drop dup
gen business_owner=1
keep interview__id member_id business_owner 
merge 1:1 interview__id member_id using  "$reproduce_files\EHCVM temp paid work.dta"
drop if _merge==1

rename _merge _merge1

save "$reproduce_files\EHCVM temp paid work.dta", replace


clear
use "$reproduce_files\EHCVM Agriculture.dta"
/*removing multiple entries*/
sort interview__id member_id
quietly by interview__id member_id: gen dup = cond(_N==1,0,_n)
drop if dup>1
drop dup

gen agriculture=1
keep interview__id member_id agriculture
merge 1:1 interview__id member_id using  "$reproduce_files\EHCVM temp paid work.dta"
drop if _merge==1

/*calculating summary statistics*/
drop if agriculture==. & paid_worker==. & unpaid_lfp==. & business_owner==.

/*
replace agriculture=0 if agriculture==.
replace paid_worker=0 if paid_worker==.
replace unpaid_lfp=0 if unpaid_lfp==.
replace business_owner=0 if business_owner==.
*/


putexcel set "$reproduce_files/Figure 1.xls", sheet(Figure 1) replace
putexcel B1="Men Percentage"  C1="Women Percentage" A2="Only in Farming" A3="Farming and Business Manager" A4="Farming and Paid Worker" A5="Farming and Unpaid Worker" A6="Farming, Business Manager and Paid Worker" A7="Only Business Manager" A8="Business Manager and Unpaid Worker" A9="Business Manager and Paid Worker" A10="Only Paid Worker" A11="Only Unpaid Worker"

sum one if female==0 [aw=hhweight]
matrix total=r(sum_w)


/*only agriculture - men*/
sum one if agriculture==1 & paid_worker==. & unpaid_lfp==. & business_owner==. & female==0 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B2=matrix(sum)

/*agriculture and business*/
sum one if agriculture==1 & paid_worker==. & unpaid_lfp==. & business_owner==1 & female==0 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B3=matrix(sum)


/*agriculture and paid worker*/
sum one if agriculture==1 & paid_worker==1 & unpaid_lfp==. & business_owner==. & female==0 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B4=matrix(sum)


/*agriculture and unpaid worker*/
sum one if agriculture==1 & paid_worker==. & unpaid_lfp==1 & business_owner==. & female==0  [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B5=matrix(sum)


/*agriculture, paid worker and business owner*/
sum one if agriculture==1 & paid_worker==1 & unpaid_lfp==. & business_owner==1 & female==0  [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B6=matrix(sum)


/*only business owner*/
sum one if business_owner==1 & paid_worker==. & unpaid_lfp==. & agriculture==. & female==0 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B7=matrix(sum)

/*business owner and unpaid worker*/
sum one if business_owner==1 & paid_worker==. & unpaid_lfp==1 & agriculture==. & female==0  [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B8=matrix(sum)

/*business owner and paid worker*/
sum one if business_owner==1 & paid_worker==1 & unpaid_lfp==. & agriculture==. & female==0  [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B9=matrix(sum)

/*paid worker*/
sum one if paid_worker==1 & business_owner==. & unpaid_lfp==. & agriculture==. & female==0 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B10=matrix(sum)

/*unpaid worker*/
sum one if unpaid_lfp==1 & paid_worker==. & business_owner==. & agriculture==. & female==0 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel B11=matrix(sum)



/*WOMEN*/

sum one if female==1 [aw=hhweight]
matrix total=r(sum_w)


/*only agriculture - women*/
sum one if agriculture==1 & paid_worker==. & unpaid_lfp==. & business_owner==. & female==1 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C2=matrix(sum)

/*agriculture and business*/
sum one if agriculture==1 & paid_worker==. & unpaid_lfp==. & business_owner==1 & female==1 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C3=matrix(sum)


/*agriculture and paid worker*/
sum one if agriculture==1 & paid_worker==1 & unpaid_lfp==. & business_owner==. & female==1 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C4=matrix(sum)


/*agriculture and unpaid worker*/
sum one if agriculture==1 & paid_worker==. & unpaid_lfp==1 & business_owner==. & female==1  [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C5=matrix(sum)


/*agriculture, paid worker and business owner*/
sum one if agriculture==1 & paid_worker==1 & unpaid_lfp==. & business_owner==1 & female==1  [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C6=matrix(sum)


/*only business owner*/
sum one if business_owner==1 & paid_worker==. & unpaid_lfp==. & agriculture==. & female==1 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C7=matrix(sum)

/*business owner and unpaid worker*/
sum one if business_owner==1 & paid_worker==. & unpaid_lfp==1 & agriculture==. & female==1  [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C8=matrix(sum)

/*business owner and paid worker*/
sum one if business_owner==1 & paid_worker==1 & unpaid_lfp==. & agriculture==. & female==1  [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C9=matrix(sum)

/*paid worker*/
sum one if paid_worker==1 & business_owner==. & unpaid_lfp==. & agriculture==. & female==1 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C10=matrix(sum)

/*unpaid worker*/
sum one if unpaid_lfp==1 & paid_worker==. & business_owner==. & agriculture==. & female==1 [aw=hhweight]
matrix sum=r(sum_w)
matrix sum[1,1]=sum[1,1]/total[1,1]
putexcel C11=matrix(sum)



/*creating Table 1A and Table 2*/
clear
use "$reproduce_files\EHCVM Household data.dta", clear

/*constructing asset index, using the following:
1. ceilingfan
2. home - wall, roof, floor
3. piped water
4. electricity
5. light source

home furniture and machinary

*/

/*merging hh data with individual data*/
merge 1:m interview__id using "$reproduce_files\EHCVM Roster.dta"
drop _merge

/*keeping population aged 15 and older*/
drop if age<15



gen lfp=0
replace lfp=1 if work_field==1 
replace lfp=1 if work_money==1 
replace lfp=1 if work_outsidehh==1 
replace lfp=1 if apprentice==1 
replace lfp=1 if other_job==1
replace lfp=1 if lookforwork==1
replace lfp=1 if lookforwork2==1

sum lfp [aw=hhweight]
sum lfp if gender==0 [aw=hhweight]
sum lfp if gender==1 [aw=hhweight]

gen lfp2=lfp
replace lfp2=1 if hh_work_wo_pay==1 | outside_work_wo_pay==1

sum lfp2 [aw=hhweight]
sum lfp2 if gender==0 [aw=hhweight]
sum lfp2 if gender==1 [aw=hhweight]



/*urban/rural*/
replace urban=0 if urban==2
label define urban 1 "urban" 0 "rural"
label values urban urban

gen age2 = age^2


/*generating monthly salary*/
gen monthly_income=salary if frequency!=.
label variable monthly_income "monthly salary from primary job"
replace monthly_income=monthly_income/7*30 if frequency==1
replace monthly_income=monthly_income/3 if frequency==3
replace monthly_income=monthly_income/12 if frequency==4

/*adding bonuses*/
replace monthly_income=(bonuses/7*20) + monthly_income if bonus_frequency==1
replace monthly_income=bonuses + monthly_income if bonus_frequency==2
replace monthly_income=bonuses/3 + monthly_income if bonus_frequency==3
replace monthly_income=bonuses/12 + monthly_income if bonus_frequency==4

/*adding allowances*/
replace monthly_income=(total_allowances/7*20) + monthly_income if allowances_frequency==1
replace monthly_income=total_allowances + monthly_income if allowances_frequency==2
replace monthly_income=total_allowances/3 + monthly_income if allowances_frequency==3
replace monthly_income=total_allowances/12 + monthly_income if allowances_frequency==4


/*adding food allowances*/
replace monthly_income=(total_food_allowances/7*20) + monthly_income if food_allowance_frequency==1
replace monthly_income=total_food_allowances + monthly_income if food_allowance_frequency==2
replace monthly_income=total_food_allowances/3 + monthly_income if food_allowance_frequency==3
replace monthly_income=total_food_allowances/12 + monthly_income if food_allowance_frequency==4



/*secondary income also included*/
gen total_income=secondaryjob_salary
replace total_income=total_income*4 if secondaryjob_frequency==1
replace total_income=total_income/3 if secondaryjob_frequency==3
replace total_income=total_income/12 if secondaryjob_frequency==4

/*adding benefits*/
replace total_income=total_income + secondaryjob_benefits/7*20 if secondaryjob_benefits_frequency==1
replace total_income=total_income + secondaryjob_benefits if secondaryjob_benefits_frequency==2
replace total_income=total_income + secondaryjob_benefits/12 if secondaryjob_benefits_frequency==4

/*adding bonus*/
replace total_income=total_income + secondaryjob_bonus/7*20 if secondaryjob_bonus_frequency==1
replace total_income=total_income + secondaryjob_bonus if secondaryjob_bonus_frequency==2
replace total_income=total_income + secondaryjob_bonus/12 if secondaryjob_bonus_frequency==4

/*adding food*/
replace total_income=total_income + secondaryjob_food/7*20 if secondaryjob_food_frequency==1
replace total_income=total_income + secondaryjob_food if secondaryjob_food_frequency==2
replace total_income=total_income + secondaryjob_food/3 if secondaryjob_food_frequency==3
replace total_income=total_income + secondaryjob_food/12 if secondaryjob_food_frequency==4

replace total_income=total_income + monthly_income if total_income!=. & monthly_income!=.
replace total_income=monthly_income if total_income==. & monthly_income!=.


label variable total_income "Total income from primary and secondary jobs"


sum total_income if gender==0 [aw=hhweight]
sum total_income if gender==1 [aw=hhweight]

/*converting all missing values to zero*/
replace total_income=0 if total_income==. | total_income<0

gen asinhtot_inc = asinh(total_income)
replace asinhtot_inc=0 if  total_income<0
replace asinhtot_inc=0 if total_income==.
replace asinhtot_inc=. if professional_category==. /*not known*/
replace asinhtot_inc=. if professional_category==9 /*owner of business*/
replace asinhtot_inc=. if professional_category==10 /*not known*/


replace total_income=0 if total_income==.
replace total_income=. if professional_category==. /*not known*/
replace total_income=. if professional_category==9 /*owner of business*/
replace total_income=. if professional_category==10 /*not known*/



gen asinhy = asinh(monthly_income)
replace asinhy=0 if  monthly_income<0
replace asinhy=0 if monthly_income==.
replace asinhy=. if professional_category==. /*not known*/

replace monthly_income=0 if monthly_income==.
replace monthly_income=. if professional_category==. /*not known*/
replace monthly_income=. if professional_category==9 /*owner of business*/
replace monthly_income=. if professional_category==10 /*not known*/



winsor2 total_income monthly_income if female==1, cuts(1 99) replace
winsor2 total_income monthly_income if female==0, cuts(1 99) replace


/*sectors of employment*/
/*agriculture workers*/
gen agriculture_sector=0
replace agriculture_sector=1 if profession_code==6 
replace agriculture_sector=. if profession_code==12
replace agriculture_sector=. if profession_code==.


/*artisans and factory workers*/
gen manufacturing_sector=0
replace manufacturing_sector=1 if profession_code==7 | profession_code==8
replace manufacturing_sector=. if profession_code==12
replace manufacturing_sector=. if profession_code==.

/*govenment employees, intellectual professions, administrative cadres, sales, trade, unskilled (mainly in professional_category is also unskilled)*/
gen service_sector=0
replace service_sector=1 if profession_code==1 | profession_code==2 | profession_code==3 | profession_code==4 | profession_code==5
replace service_sector=1 if profession_code==9 | profession_code==10 | profession_code==11 
replace service_sector=. if profession_code==12
replace service_sector=. if profession_code==.

gen age30_64=0
replace age30_64=1 if age>=30 & age<=64

gen age15_29=0
replace age15_29=1 if age>=15 & age<=29

drop if age<15
drop if age>64


gen north_region=0
replace north_region=1 if province==19 | province==24 | province==26 | province==39 | province==29 | province==45 | province==20 | province==1 | province==23 | province==17 | province==8 | province==34 | province==43 

gen central_region=0
replace central_region=1 if province==37 | province==18 | province==11 | province==7

gen south_region=0
replace south_region=1 if province==22 | province==25 | province==5 | province==44 | province==2 | province==30 | province==16 | province==4 | province==14 | province==9 | province==36 | province==35 | province==28

gen west_region=0
replace west_region=1 if province==41 | province==21 | province==6 | province==38 | province==12 | province==10 | province==33 | province==42 | province==31 | province==15 | province==32 | province==13 | province==27 | province==40 | province==3 




save "$reproduce_files\temp_ehcvm.dta", replace


clear 
use "$reproduce_files\LSMS household roster.dta"
set matsize 5000

merge m:1 zd menage using "$reproduce_files\asset_index.dta"
drop _merge

merge 1:1 zd menage numind using "$reproduce_files\LSMS wage employment.dta"


/*keeping population aged 15 and older*/
drop if age<15

gen lfp=0
replace lfp=1 if employed==1 
replace lfp=1 if employed_familyfarm==1 & annual_salary>0
replace lfp=1 if employed_familyfarm==1 & annual_salary!=.
replace lfp=1 if employed_familybusiness==1 & annual_salary>0
replace lfp=1 if employed_familybusiness==1 & annual_salary!=. 
replace lfp=1 if parttime_work==1 
replace lfp=1 if apprentice==1
replace lfp=1 if lookforjob==1


sum lfp [aw=hhweight]
sum lfp if sex==2 [aw=hhweight]
sum lfp if sex==1 [aw=hhweight]


gen lfp2=lfp
replace lfp2=1 if employed_familyfarm==1 & annual_salary==0 
replace lfp2=1 if employed_familyfarm==1 & annual_salary==0
replace lfp2=1 if employed_familybusiness==1 & annual_salary==0
replace lfp2=1 if employed_familybusiness==1 & annual_salary==. 



sum lfp2 [aw=hhweight]
sum lfp2 if sex==2 [aw=hhweight]
sum lfp2 if sex==1 [aw=hhweight]



/*urban/rural*/
gen urban=0 
replace urban=1 if milieu==1

gen age2 = age^2




/*generating monthly income from employment*/
gen monthly_income=annual_salary*1000
label variable monthly_income "monthly salary from primary job"
replace monthly_income=monthly_income/months_job if months_job!=.
*replace monthly_income=monthly_income*30 if salary_bins_frequency==1
*replace monthly_income=monthly_income/7*30 if  salary_bins_frequency==2
*replace monthly_income=monthly_income/12 if salary_bins_frequency==4

replace monthly_income=15000 if salary_bins==1
replace monthly_income=monthly_income*30 if salary_bins==1 & salary_bins_frequency==1
replace monthly_income=monthly_income/7*30 if salary_bins==1 & salary_bins_frequency==2
replace monthly_income=monthly_income/12 if salary_bins==1 & salary_bins_frequency==4

replace monthly_income=40000 if salary_bins==2
replace monthly_income=monthly_income*30 if salary_bins==2 & salary_bins_frequency==1
replace monthly_income=monthly_income/7*30 if salary_bins==2 & salary_bins_frequency==2
replace monthly_income=monthly_income/12 if salary_bins==2 & salary_bins_frequency==4

replace monthly_income=65000 if salary_bins==3
replace monthly_income=monthly_income*30 if salary_bins==3 & salary_bins_frequency==1
replace monthly_income=monthly_income/7*30 if salary_bins==3 & salary_bins_frequency==2
replace monthly_income=monthly_income/12 if salary_bins==3 & salary_bins_frequency==4

replace monthly_income=95000 if salary_bins==4
replace monthly_income=monthly_income*30 if salary_bins==4 & salary_bins_frequency==1
replace monthly_income=monthly_income/7*30 if salary_bins==4 & salary_bins_frequency==2
replace monthly_income=monthly_income/12 if salary_bins==4 & salary_bins_frequency==4

replace monthly_income=160000 if salary_bins==5
replace monthly_income=monthly_income*30 if salary_bins==5 & salary_bins_frequency==1
replace monthly_income=monthly_income/7*30 if salary_bins==5 & salary_bins_frequency==2
replace monthly_income=monthly_income/12 if salary_bins==5 & salary_bins_frequency==4

replace monthly_income=200000 if salary_bins==6
replace monthly_income=monthly_income*30 if salary_bins==6 & salary_bins_frequency==1
replace monthly_income=monthly_income/7*30 if salary_bins==6 & salary_bins_frequency==2
replace monthly_income=monthly_income/12 if salary_bins==6 & salary_bins_frequency==4

replace monthly_income=260000 if salary_bins==7
replace monthly_income=monthly_income*30 if salary_bins==7 & salary_bins_frequency==1
replace monthly_income=monthly_income/7*30 if salary_bins==7 & salary_bins_frequency==2
replace monthly_income=monthly_income/12 if salary_bins==7 & salary_bins_frequency==4



/*adding benefits*/
replace benefits=. if benefits==99999
replace monthly_income=30*benefits + monthly_income if benefits_frequency==1
replace monthly_income=benefits/7*20 + monthly_income if benefits_frequency==2
replace monthly_income=benefits + monthly_income if benefits_frequency==3
replace monthly_income=benefits/12 + monthly_income if benefits_frequency==4

/*adding food allowances*/
replace benefit_food=. if benefit_food==99999
replace monthly_income=30*benefit_food + monthly_income if benefit_food_frequency==1
replace monthly_income=benefit_food/7*20 + monthly_income if benefit_food_frequency==2
replace monthly_income=benefit_food + monthly_income if benefit_food_frequency==3
replace monthly_income=benefit_food/12 + monthly_income if benefit_food_frequency==4


/*calculating total income*/
gen total_income=secondaryjob_salary*1000
replace total_income=total_income*30 if secjob_salary_bins_freq==1
replace total_income=total_income/7*30 if  secjob_salary_bins_freq==2
replace total_income=total_income/12 if secjob_salary_bins_freq==4

replace total_income=15000 if secondaryjob_salary_bins==1
replace total_income=total_income*30 if secondaryjob_salary_bins==1 & secjob_salary_bins_freq==1
replace total_income=total_income/7*30 if secondaryjob_salary_bins==1 & secjob_salary_bins_freq==2
replace total_income=total_income/12 if secondaryjob_salary_bins==1 & secjob_salary_bins_freq==4

replace total_income=40000 if secondaryjob_salary_bins==2
replace total_income=total_income*30 if secondaryjob_salary_bins==2 & secjob_salary_bins_freq==1
replace total_income=total_income/7*30 if secondaryjob_salary_bins==2 & secjob_salary_bins_freq==2
replace total_income=total_income/12 if secondaryjob_salary_bins==2 & secjob_salary_bins_freq==4

replace total_income=65000 if secondaryjob_salary_bins==3
replace total_income=total_income*30 if secondaryjob_salary_bins==3 & secjob_salary_bins_freq==1
replace total_income=total_income/7*30 if secondaryjob_salary_bins==3 & secjob_salary_bins_freq==2
replace total_income=total_income/12 if secondaryjob_salary_bins==3 & secjob_salary_bins_freq==4

replace total_income=95000 if secondaryjob_salary_bins==4
replace total_income=total_income*30 if secondaryjob_salary_bins==4 & secjob_salary_bins_freq==1
replace total_income=total_income/7*30 if secondaryjob_salary_bins==4 & secjob_salary_bins_freq==2
replace total_income=total_income/12 if secondaryjob_salary_bins==4 & secjob_salary_bins_freq==4

replace total_income=160000 if secondaryjob_salary_bins==5
replace total_income=total_income*30 if secondaryjob_salary_bins==5 & secjob_salary_bins_freq==1
replace total_income=total_income/7*30 if secondaryjob_salary_bins==5 & secjob_salary_bins_freq==2
replace total_income=total_income/12 if secondaryjob_salary_bins==5 & secjob_salary_bins_freq==4

replace total_income=200000 if secondaryjob_salary_bins==6
replace total_income=total_income*30 if secondaryjob_salary_bins==6 & secjob_salary_bins_freq==1
replace total_income=total_income/7*30 if secondaryjob_salary_bins==6 & secjob_salary_bins_freq==2
replace total_income=total_income/12 if secondaryjob_salary_bins==6 & secjob_salary_bins_freq==4

replace total_income=260000 if secondaryjob_salary_bins==7
replace total_income=total_income*30 if secondaryjob_salary_bins==7 & secjob_salary_bins_freq ==1
replace total_income=total_income/7*30 if secondaryjob_salary_bins==7 & secjob_salary_bins_freq==2
replace total_income=total_income/12 if secondaryjob_salary_bins==7 & secjob_salary_bins_freq==4

replace total_income=total_income+monthly_income if total_income!=.
replace total_income=monthly_income if total_income==. | total_income==0


/*converting all missing values to zero*/
*replace monthly_income=0 if monthly_income==. | monthly_income<0


/* converting 2014 currency to 2018 currency

Year	Inflation	Calculated CPI
2014		100
2015	0.725	100.725
2016	0.441	101.17
2017	1.483	102.67
2018	1.986	104.71
*/

gen asinhtot_inc=asinh(total_income*1.0471)
replace asinhtot_inc=0 if total_income<0
replace asinhtot_inc=0 if total_income==.
replace asinhtot_inc=. if employment_sector==6 /*owner of business*/
replace asinhtot_inc=. if employment_sector==7 /*owner of business*/
replace asinhtot_inc=. if employment_sector==.


replace total_income=0 if total_income<0
replace total_income=0 if total_income==.
replace total_income=. if employment_sector==6 /*owner of business*/
replace total_income=. if employment_sector==7 /*owner of business*/
replace total_income=. if employment_sector==.



gen asinhy = asinh(monthly_income*1.0471) /*1.0471 multiplied to convert it to 2018 local currency*/
replace asinhy=0 if monthly_income<0
replace asinhy=0 if monthly_income==.
replace asinhy=. if employment_sector==6 /*owner of business*/
replace asinhy=. if employment_sector==7 /*owner of business*/
replace asinhy=. if employment_sector==.


replace monthly_income=0 if monthly_income<0
replace monthly_income=0 if monthly_income==.
replace monthly_income=. if employment_sector==6 /*owner of business*/
replace monthly_income=. if employment_sector==7 /*owner of business*/
replace monthly_income=. if employment_sector==.



winsor2 total_income monthly_income if female==1, cuts(1 99) replace
winsor2 total_income monthly_income if female==0, cuts(1 99) replace


/*determining the threshold for youth*/

/*one cutoff*/
gen age30_64=0
replace age30_64=1 if age>=30 & age<=64

/*another cutoff*/
gen age15_29=0
replace age15_29=1 if age>=15 & age<=29

drop if age<15
drop if age>64


gen north_region=0
replace north_region=1 if province==19 | province==24 | province==26 | province==39 | province==29 | province==45 | province==20 | province==1 | province==23 | province==17 | province==8 | province==34 | province==43 

gen central_region=0
replace central_region=1 if province==37 | province==18 | province==11 | province==7

gen south_region=0
replace south_region=1 if province==22 | province==25 | province==5 | province==44 | province==2 | province==30 | province==16 | province==4 | province==14 | province==9 | province==36 | province==35 | province==28

gen west_region=0
replace west_region=1 if province==41 | province==21 | province==6 | province==38 | province==12 | province==10 | province==33 | province==42 | province==31 | province==15 | province==32 | province==13 | province==27 | province==40 | province==3 



/*sectors of employment*/
gen agriculture_sector=0
replace agriculture_sector=1 if industry>=10 & industry<=52
gen service_sector=0
replace service_sector=1 if industry>=310 & industry<=430

gen manufacturing_sector=0
replace manufacturing_sector=1 if industry>=81 & industry<=302




gen year=2014
append using "$reproduce_files\temp_ehcvm.dta"
replace year=2018 if year==.
		
		
/*******************************REGRESSIONS**************************/

matrix coeff=J(41,2,.)
matrix tval=J(41,2,.)
matrix pval=J(41,1,.)

global rows=1

/****************************LFP regressions**********************8*/	

logit lfp female if year==2018 [iw=hhweight]
mfx
outreg2 using "$reproduce_files/Table 1A.xls", excel ctitle(Paid LFP) se mfx dec(3) replace


/*using a broader definition of LFP*/

/*unconstrained - all*/
logit lfp2 female if year==2014 [iw=hhweight]
mfx compute
est store lsms
matrix coeff[$rows,1]=e(Xmfx_dydx)

matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


logit lfp2 female if year==2018 [iw=hhweight]
mfx compute
est store ehcvm
outreg2 using "$reproduce_files\Table 1A.xls", excel ctitle(Overall LFP) se mfx dec(3) append
matrix coeff[$rows,2]=e(Xmfx_dydx)


matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_lfp2]female = [ehcvm_lfp2]female
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1 
/*unconstrained - 15-29 year olds*/
logit lfp2 female if age15_29==1 & year==2014 [iw=hhweight]
mfx compute
est store lsms
matrix coeff[$rows,1]=e(Xmfx_dydx)

matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])



logit lfp2 female if age15_29==1 & year==2018 [iw=hhweight]
mfx compute
est store ehcvm
matrix coeff[$rows,2]=e(Xmfx_dydx)

matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_lfp2]female = [ehcvm_lfp2]female
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - 30-64 year olds*/
logit lfp2 female if age30_64==1 & year==2014 [iw=hhweight]
mfx compute
est store lsms
matrix coeff[$rows,1]=e(Xmfx_dydx)

matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


logit lfp2 female if age30_64==1 & year==2018 [iw=hhweight]
mfx compute
est store ehcvm
matrix coeff[$rows,2]=e(Xmfx_dydx)


matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_lfp2]female = [ehcvm_lfp2]female
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - urban*/
logit lfp2 female if urban==1 & year==2014 [iw=hhweight]
mfx compute
est store lsms
matrix coeff[$rows,1]=e(Xmfx_dydx)

matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])



logit lfp2 female if urban==1 & year==2018 [iw=hhweight]
mfx compute
est store ehcvm
matrix coeff[$rows,2]=e(Xmfx_dydx)

matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_lfp2]female = [ehcvm_lfp2]female
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - rural*/
logit lfp2 female if urban==0 & year==2014 [iw=hhweight]
mfx compute
est store lsms
matrix coeff[$rows,1]=e(Xmfx_dydx)

matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])



logit lfp2 female if urban==0 & year==2018 [iw=hhweight]
mfx compute
est store ehcvm
matrix coeff[$rows,2]=e(Xmfx_dydx)

matrix k=e(b)
matrix var=e(V)
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_lfp2]female = [ehcvm_lfp2]female
matrix pval[$rows,1] = r(p) 


/*unconstrained regions*/
global cols=1
local vars "north central south west"
foreach x of local vars {
	global rows = $rows + 1
	logit lfp2 female if `x'==1 & year==2014 [iw=hhweight]
	mfx compute
	est store lsms
	matrix coeff[$rows,1]=e(Xmfx_dydx)
	
	matrix k=e(b)
	matrix var=e(V)
	matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


	
	
	logit lfp2 female if `x'==1 & year==2018 [iw=hhweight]
	mfx compute
	est store ehcvm
	matrix coeff[$rows,2]=e(Xmfx_dydx)
	
	matrix k=e(b)
	matrix var=e(V)
	matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



	/*test of equality of coefficients*/
	suest lsms ehcvm
	test [lsms_lfp2]female = [ehcvm_lfp2]female
	matrix pval[$rows,1] = r(p) 
	global cols = $cols + 1

}


/*******************************mincer regressions*******************************/

global yvars "monthly_income"


global rows = $rows + 1
/*unconstrained - all*/
reg $yvars female if year==2014 [aw=hhweight]
est store lsms

matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=k[1,1]/k[1,2]
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])



reg $yvars female if year==2018 [aw=hhweight]
est store ehcvm
outreg2 using "$reproduce_files\Table 1A.xls", excel ctitle(Monthly Income) se dec(3) append

matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=k[1,1]/k[1,2]
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
nlcom (r21:[lsms_mean]female/[lsms_mean]_cons) (r22:[ehcvm_mean]female/[ehcvm_mean]_cons), post
test r21 = r22
matrix pval[$rows,1] = r(p) 

/*regression of income with a monthly salary > 0*/
reg $yvars female if year==2018 & $yvars > 0 [aw=hhweight]
outreg2 using "$reproduce_files\Table 1A.xls", excel ctitle(Paid Wage Earnings) se dec(3) append


global rows = $rows + 1
/*unconstrained - 15-29 year olds*/
reg $yvars female if age15_29==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=k[1,1]/k[1,2]
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if age15_29==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=k[1,1]/k[1,2]
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
nlcom (r21:[lsms_mean]female/[lsms_mean]_cons) (r22:[ehcvm_mean]female/[ehcvm_mean]_cons), post
test r21 = r22
matrix pval[$rows,1] = r(p) 




global rows = $rows + 1
/*unconstrained - 30-64 year olds*/
reg $yvars female if age30_64==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=k[1,1]/k[1,2]
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if age30_64==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=k[1,1]/k[1,2]
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
nlcom (r21:[lsms_mean]female/[lsms_mean]_cons) (r22:[ehcvm_mean]female/[ehcvm_mean]_cons), post
test r21 = r22
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - urban*/
reg $yvars female if urban==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=k[1,1]/k[1,2]
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if urban==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=k[1,1]/k[1,2]
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
nlcom (r21:[lsms_mean]female/[lsms_mean]_cons) (r22:[ehcvm_mean]female/[ehcvm_mean]_cons), post
test r21 = r22
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - rural*/
reg $yvars female if urban==0 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=k[1,1]/k[1,2]
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if urban==0 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=k[1,1]/k[1,2]
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
nlcom (r21:[lsms_mean]female/[lsms_mean]_cons) (r22:[ehcvm_mean]female/[ehcvm_mean]_cons), post
test r21 = r22
matrix pval[$rows,1] = r(p) 


/*unconstrained regions*/
global cols=1
local vars "north central south west"
foreach x of local vars {
	global rows = $rows + 1
	reg $yvars female if `x'==1 & year==2014 [iw=hhweight]
	est store lsms
	matrix k=e(b)
	matrix var=e(V)
	matrix coeff[$rows,1]=k[1,1]/k[1,2]
	matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


	reg $yvars female if `x'==1 & year==2018 [iw=hhweight]
	est store ehcvm
	matrix k=e(b)
	matrix var=e(V)
	matrix coeff[$rows,2]=k[1,1]/k[1,2]
	matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


	/*test of equality of coefficients*/
	suest lsms ehcvm
	nlcom (r21:[lsms_mean]female/[lsms_mean]_cons) (r22:[ehcvm_mean]female/[ehcvm_mean]_cons), post
	test r21 = r22
	matrix pval[$rows,1] = r(p) 
	
	}




/*************************************enterprises**************************/
use "$reproduce_files\EHCVM Enterprises.dta", clear
rename managing1 member_id
merge m:1 interview__id member_id using "$reproduce_files\EHCVM Roster.dta"
drop if _merge==2
drop _merge
drop if enterprise_id==.

egen revenue=rowtotal(resold_lastmonth sold_lastmonth services_lastmonth)
gen asinhrevenue=asinh(revenue)

replace patent_cost=patent_cost/months_operation
replace admin_cost=admin_cost/months_operation
replace taxes=taxes/months_operation


egen cost= rowtotal(costofgoodsresold costofgoodssold cost_intermediate utilities_lastmonth servicefees_lastmonth otherfees_lastmonth patent_cost taxes admin_cost)
gen salary1 = men_employees*men_employees_salary 
gen salary2 = women_employees*women_employees_salary 
gen salary3 = boys_employees*boys_employees_salary 
gen salary4 = girls_employees*girls_employees_salary
egen emp_salary=rowtotal(salary1 salary2 salary3 salary4)
gen profit = revenue - cost - emp_salary

gen asinhprofit=asinh(profit)
replace asinhprofit=0 if profit<0
replace asinhprofit=0 if profit==.

replace urban=0 if urban==2

/*determining the threshold for youth*/
gen age30_64=0
replace age30_64=1 if age>=30 & age<=64


/*another cutoff*/
gen age15_29=0
replace age15_29=1 if age>=15 & age<=29
	

gen food_sector=0
replace food_sector=1 if activity1==1 | activity7==1	
	
gen clothing_sector=0
replace clothing_sector=1 if activity2==1 | activity9==1

gen construction=0
replace construction=1 if activity3==1	

gen service=0
replace service=1 if activity4==1 | activity5==1 | activity6==1 | activity8==1


gen north_region=0
replace north_region=1 if province==19 | province==24 | province==26 | province==39 | province==29 | province==45 | province==20 | province==1 | province==23 | province==17 | province==8 | province==34 | province==43 

gen central_region=0
replace central_region=1 if province==37 | province==18 | province==11 | province==7

gen south_region=0
replace south_region=1 if province==22 | province==25 | province==5 | province==44 | province==2 | province==30 | province==16 | province==4 | province==14 | province==9 | province==36 | province==35 | province==28

gen west_region=0
replace west_region=1 if province==41 | province==21 | province==6 | province==38 | province==12 | province==10 | province==33 | province==42 | province==31 | province==15 | province==32 | province==13 | province==27 | province==40 | province==3 


drop if age<15
drop if age>64

gen year=2018
save "$reproduce_files\temp_ehcvm.dta", replace

clear
use "$reproduce_files\LSMS enterprises.dta", clear
rename owner_id numind
merge m:1 zd menage numind using "$reproduce_files\LSMS household roster.dta"
drop if _merge<3
drop _merge
drop if enterprise_id==.


rename ef15 months_operation

egen revenue=rowtotal(revenue1 revenue2 revenue3)
gen asinhrevenue=asinh(revenue)
replace cost7=cost7/months_operation


egen cost= rowtotal(cost1 - cost9)
gen profit = revenue - cost
*replace profit=0 if profit<0
*replace profit=0 if profit==.

gen asinhprofit=asinh(profit*1.0471)
replace asinhprofit=0 if profit<0
replace asinhprofit=0 if profit==.
*gen lnprofit=asinh(profit)


/*urban/rural*/
gen urban=0 
replace urban=1 if milieu==1

gen age2 = age^2

gen utilities=0 /*electricity, water and phone all in one*/
replace utilities=1 if cost3>0 & cost3!=.
gen records=0
replace records=1 if bookkeeping>=1 & bookkeeping<=3
gen registered=0 
replace registered=1 if tax_id==1
replace machines=0 if machines==.


/*determining the threshold for youth*/
gen age30_64=0
replace age30_64=1 if age>=30 & age<=64

/*another cutoff*/
gen age15_29=0
replace age15_29=1 if age>=15 & age<=29
	

gen food_sector=0
replace food_sector=1 if businessactivity1==1 | businessactivity7==1	
	
gen clothing_sector=0
replace clothing_sector=1 if businessactivity2==1 

gen construction=0
replace construction=1 if businessactivity3==1	

gen service=0
replace service=1 if businessactivity4==1 | businessactivity5==1 | businessactivity6==1  | businessactivity8==1 | businessactivity9==1


gen north_region=0
replace north_region=1 if province==19 | province==24 | province==26 | province==39 | province==29 | province==45 | province==20 | province==1 | province==23 | province==17 | province==8 | province==34 | province==43 

gen central_region=0
replace central_region=1 if province==37 | province==18 | province==11 | province==7

gen south_region=0
replace south_region=1 if province==22 | province==25 | province==5 | province==44 | province==2 | province==30 | province==16 | province==4 | province==14 | province==9 | province==36 | province==35 | province==28

gen west_region=0
replace west_region=1 if province==41 | province==21 | province==6 | province==38 | province==12 | province==10 | province==33 | province==42 | province==31 | province==15 | province==32 | province==13 | province==27 | province==40 | province==3 


drop if age<15
drop if age>64


gen year=2014
append using "$reproduce_files\temp_ehcvm.dta"
	
	
global count = $count + 1
global yvars "asinhrevenue"


global rows = $rows + 1
/*unconstrained - all*/
reg $yvars female if year==2014 [aw=hhweight]
est store lsms

matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])



reg $yvars female if year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])

outreg2 using "$reproduce_files\Table 1A.xls", excel ctitle(Monthly Business Revenues) se dec(3) append


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 
 

 global rows = $rows + 1
/*unconstrained - 15-29 year olds*/
reg $yvars female if age15_29==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if age15_29==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - 30-64 year olds*/
reg $yvars female if age30_64==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if age30_64==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 



global rows = $rows + 1
/*unconstrained - urban*/
reg $yvars female if urban==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if urban==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])



/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - rural*/
reg $yvars female if urban==0 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if urban==0 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 



/*unconstrained regions*/
global cols=1
local vars "north central south west"
foreach x of local vars {
	global rows = $rows + 1
	reg $yvars female if `x'==1 & year==2014 [iw=hhweight]
	est store lsms
	matrix k=e(b)
	matrix var=e(V)
	matrix coeff[$rows,1]=exp(k[1,1])-1
	matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


	reg $yvars female if `x'==1 & year==2018 [iw=hhweight]
	est store ehcvm

	matrix k=e(b)
	matrix var=e(V)
	matrix coeff[$rows,2]=exp(k[1,1])-1
	matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


	/*test of equality of coefficients*/
	suest lsms ehcvm
	test [lsms_mean]female = [ehcvm_mean]female
	matrix pval[$rows,1] = r(p) 
	global cols = $cols + 1

}


/****************************************agriculture*****************************/
use "$reproduce_files\EHCVM Agriculture.dta" , clear 

merge m:1 interview__id member_id using "$reproduce_files\EHCVM Roster.dta"
drop if _merge==2
drop _merge



/*convert area of land to hectares*/
replace area=area/10000 if units==2


gen sold_ha=money_sales/area /*productivity based on sales*/
gen price = (money_sales/harvest_sold)
preserve
keep price crop_id quantity_units
drop if price==.
rename price ave_price
collapse (mean) ave_price, by(crop_id quantity_units)
save crop_price.dta, replace
restore

merge m:1 crop_id quantity_units using crop_price.dta

gen prod_ha=(ave_price*quantity_harvested)/area /*productivity based on harvest*/

sum sold_ha prod_ha [aw=hhweight]

gen asinhprod=asinh(ave_price*quantity_harvested)
gen asinhsold=asinh(money_sales)
gen asinhprod_ha = asinh(prod_ha)
gen asinhsold_ha = asinh(sold_ha)


gen all_harvest_sold=0
replace all_harvest_sold=1 if quantity_harvested==harvest_sold & sold_units==quantity_units

gen fertility_good=0
replace fertility_good=1 if land_fertility==1

gen fertility_medium=0
replace fertility_medium=1 if land_fertility==2


/*fertilizers used - first converting to kilograms*/
local vars "urea phosphates npk dap pesticides fungicides herbicides"
foreach x of local vars {
	replace `x'_quantity=`x'_quantity*1000 if `x'_units==2
	replace `x'_quantity=`x'_quantity*50 if `x'_units==3
	replace `x'_quantity=0 if `x'_quantity==.
}

local vars "urea phosphates npk dap pesticides fungicides herbicides"
foreach x of local vars {
	gen `x'_use=0
	replace `x'_use=1 if `x'_quantity>0 & `x'_quantity!=.
	}

tabstat urea_use phosphates_use npk_use dap_use pesticides_use fungicides_use herbicides_use [aw=hhweight], stats(mean sd n)

gen fertilizer_use=0
replace fertilizer_use=1 if urea_use==1 | phosphates_use==1 | npk_use==1 | dap_use==1 
gen pestfungherb_use=0
replace pestfungherb_use=1 if pesticides_use==1 | fungicides_use==1 | herbicides_use==1


/*determining the threshold for youth*/
gen age30_64=0
replace age30_64=1 if age>=30 & age<=64

/*another cutoff*/
gen age15_29=0
replace age15_29=1 if age>=15 & age<=29


gen north_region=0
replace north_region=1 if province==19 | province==24 | province==26 | province==39 | province==29 | province==45 | province==20 | province==1 | province==23 | province==17 | province==8 | province==34 | province==43 

gen central_region=0
replace central_region=1 if province==37 | province==18 | province==11 | province==7

gen south_region=0
replace south_region=1 if province==22 | province==25 | province==5 | province==44 | province==2 | province==30 | province==16 | province==4 | province==14 | province==9 | province==36 | province==35 | province==28

gen west_region=0
replace west_region=1 if province==41 | province==21 | province==6 | province==38 | province==12 | province==10 | province==33 | province==42 | province==31 | province==15 | province==32 | province==13 | province==27 | province==40 | province==3 



drop if age<15
drop if age>64

gen year=2018
save "$reproduce_files\temp_ehcvm.dta", replace

use "$reproduce_files\LSMS Agriculture.dta" , clear 
rename respondent_id numind
merge m:1 zd menage numind using "$reproduce_files\LSMS household roster.dta"
drop if _merge<3
drop _merge


/*urban/rural*/
gen urban=0 
replace urban=1 if milieu==1


gen sold_ha=(revenue_sold*1.0471)/area /*productivity based on sales*/
gen price = (revenue_sold/amount_sold)
preserve
keep price crop_id harvesting_amt
drop if price==.
rename price ave_price
collapse (mean) ave_price, by(crop_id)
save crop_price.dta, replace
restore

merge m:1 crop_id using crop_price.dta

gen prod_ha=(ave_price*harvesting_amt*1.0471)/area /*productivity based on harvest*/


gen asinhprod=asinh(ave_price*harvesting_amt*1.0471)
gen asinhsold=asinh(revenue_sold*1.0471)
gen asinhprod_ha = asinh(prod_ha)
gen asinhsold_ha = asinh(sold_ha)


local vars "urea phosphates npk dap pesticides fungicides herbicides"
foreach x of local vars {
	replace `x'=1 if `x'>1 & `x'!=.
	}

gen fertilizer_use=0
replace fertilizer_use=1 if urea==1 | phosphates==1 | npk==1 | dap==1 
gen pestfungherb_use=0
replace pestfungherb_use=1 if pesticides==1 | fungicides==1 | herbicides==1


/*men farm labor*/
egen total_days_men = rowtotal(nonhh_men_soil_prep_days nonhh_men_weeding_days nonhh_men_harvest_days)
egen total_days_women = rowtotal(nonhh_women_soil_prep_days nonhh_women_weeding_days nonhh_women_harvest_days)
egen total_days_children = rowtotal(nonhh_children_soil_prep_days nonhh_children_weeding_days nonhh_children_harvest_days)



/*determining the threshold for youth*/
gen age30_64=0
replace age30_64=1 if age>=30 & age<=64

/*another cutoff*/
gen age15_29=0
replace age15_29=1 if age>=15 & age<=29


drop if age<15
drop if age>64

gen north_region=0
replace north_region=1 if province==19 | province==24 | province==26 | province==39 | province==29 | province==45 | province==20 | province==1 | province==23 | province==17 | province==8 | province==34 | province==43 

gen central_region=0
replace central_region=1 if province==37 | province==18 | province==11 | province==7

gen south_region=0
replace south_region=1 if province==22 | province==25 | province==5 | province==44 | province==2 | province==30 | province==16 | province==4 | province==14 | province==9 | province==36 | province==35 | province==28

gen west_region=0
replace west_region=1 if province==41 | province==21 | province==6 | province==38 | province==12 | province==10 | province==33 | province==42 | province==31 | province==15 | province==32 | province==13 | province==27 | province==40 | province==3 



gen year=2014
append using "$reproduce_files/temp_ehcvm.dta"

	
/*using total harvest as a measure of productivity*/
global yvars "asinhprod"


global rows = $rows + 1
/*unconstrained - all*/
reg $yvars female if year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])

reg $yvars female if year==2018 [aw=hhweight]
est store ehcvm
outreg2 using "$reproduce_files\Table 1A.xls", excel ctitle(Value of Harvested Crop) se dec(3) append
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 
 

 global rows = $rows + 1
/*unconstrained - 15-29 year olds*/
reg $yvars female if age15_29==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])

reg $yvars female if age15_29==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - 30-64 year olds*/
reg $yvars female if age30_64==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if age30_64==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 




/*unconstrained regions*/
local vars "north central south west"
foreach x of local vars {
	global rows = $rows + 1
	reg $yvars female if `x'==1 & year==2014 [iw=hhweight]
	est store lsms
	matrix k=e(b)
	matrix var=e(V)
	matrix coeff[$rows,1]=exp(k[1,1])-1
	matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])

	reg $yvars female if `x'==1 & year==2018 [iw=hhweight]
	est store ehcvm
	matrix k=e(b)
	matrix var=e(V)
	matrix coeff[$rows,2]=exp(k[1,1])-1
	matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


	/*test of equality of coefficients*/
	suest lsms ehcvm
	test [lsms_mean]female = [ehcvm_mean]female
	matrix pval[$rows,1] = r(p) 
}




/*using amount sold as a measure of productivity*/
global yvars "asinhsold"


global rows = $rows + 1
/*unconstrained - all*/
reg $yvars female if year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])

reg $yvars female if year==2018 [aw=hhweight]
est store ehcvm
outreg2 using "$reproduce_files\Table 1A.xls", excel ctitle(Value of Harvested Crop) se dec(3) append
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 
 

 global rows = $rows + 1
/*unconstrained - 15-29 year olds*/
reg $yvars female if age15_29==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])

reg $yvars female if age15_29==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 


global rows = $rows + 1
/*unconstrained - 30-64 year olds*/
reg $yvars female if age30_64==1 & year==2014 [aw=hhweight]
est store lsms
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,1]=exp(k[1,1])-1
matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])


reg $yvars female if age30_64==1 & year==2018 [aw=hhweight]
est store ehcvm
matrix k=e(b)
matrix var=e(V)
matrix coeff[$rows,2]=exp(k[1,1])-1
matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


/*test of equality of coefficients*/
suest lsms ehcvm
test [lsms_mean]female = [ehcvm_mean]female
matrix pval[$rows,1] = r(p) 




/*unconstrained regions*/
local vars "north central south west"
foreach x of local vars {
	global rows = $rows + 1
	reg $yvars female if `x'==1 & year==2014 [iw=hhweight]
	est store lsms
	matrix k=e(b)
	matrix var=e(V)
	matrix coeff[$rows,1]=exp(k[1,1])-1
	matrix tval[$rows,1]=k[1,1]/sqrt(var[1,1])

	reg $yvars female if `x'==1 & year==2018 [iw=hhweight]
	est store ehcvm
	matrix k=e(b)
	matrix var=e(V)
	matrix coeff[$rows,2]=exp(k[1,1])-1
	matrix tval[$rows,2]=k[1,1]/sqrt(var[1,1])


	/*test of equality of coefficients*/
	suest lsms ehcvm
	test [lsms_mean]female = [ehcvm_mean]female
	matrix pval[$rows,1] = r(p) 
}




matrix list coeff
matrix list tval
matrix list pval

matrix out = coeff,tval,pval 

putexcel set "$reproduce_files/Table 2.xls", sheet(Table 2) replace
putexcel B2=matrix(out) 
putexcel B1="coefficient from 2014"  C1="coefficient from 2018" D1="tvalue of coefficient from 2014" E1="tvalue of coefficient from 2018" F1= "pvalue of equality of coefficient of 2014 with 2018"

putexcel A2="LFP all" A3="LFP ages 15 to 29" A4="LFP ages 30 to 64" A5="LFP urban" A6="LFP rural" A7="LFP north region" A8="LFP east region" A9="LFP south region" A10="LFP west region" A11="Wages all" A12="Wages age 15 to 29" A13="Wages age 30 to 64" A14="Wages urban" A15="Wages rural" A16="Wages north" A17="Wages east" A18="Wages south" A19="Wages west" A20="Business Revenue all" A21="Business Revenue age 15 to 29" A22="Business Revenue age 30 to 64" A23="Business Revenue urban" A24="Business Revenue rural" A25="Business Revenue north" A26="Business Revenue east" A27="Business Revenue south" A28="Business Revenue west" A29="Harvest Value all" A30="Harvest Value age 15 to 29" A31="Harvest Value age 30 to 64" A32="Harvest Value north" A33="Harvest Value east" A34="Harvest Value south" A35="Harvest Value west" A36="Crop Sales all" A37="Crop Sales age 15 to 29" A38="Crop Sales age 30 to 64" A39="Crop Sales north" A40="Crop Sales east" A41="Crop Sales south" A42="Crop Sales west"




